function [imgOut, samples_int] = DartThrowing(res, nSamples)

imgOut = zeros(res, res);
done = 1;

POISSON_RHO = 0.75;
radius = POISSON_RHO / sqrt(2.0 * sqrt(3) * (nSamples/2));
disp(radius);
radius_sq = radius * radius;
samples = zeros(nSamples, 2);

tries = 10000;

samples_tries = rand(nSamples * tries, 2);

counter = 0;

samples_int = [];

while(done ~= nSamples)
    %generate a sample
    sample = rand(1, 2);
    if(done > 1) 
        dst_sq = sum((samples-sample).^2,2);
        flag = isempty(find(dst_sq < radius_sq));        
    else
        flag = 1;
    end
    
    if(flag)
        x = min(max(round(res * sample(2)), 1), res);
        y = min(max(round(res * sample(1)), 1), res);
        
        col = zeros(1, 1, 3);
        col(1, 1, 1) = x;
        col(1, 1, 2) = y;
        samples_int = [samples_int; col];
        imgOut(y, x) = 1;
        samples(done,:) = sample;
        done = done + 1;
    end
    
    counter = counter + 1;
    
    if(counter > (nSamples * tries))
        disp(counter);
        break;
    end
end

end