function [imgOut, samples] = PoissonByRemoval(res, nSamples)

imgOut = zeros(res, res);

POISSON_RHO = 0.75;
radius = POISSON_RHO / sqrt(2.0 * sqrt(3) * (nSamples));
disp(radius);
radius_sq = radius * radius;

samples = rand(nSamples * 100, 2);

flag = 1;
index = 1;
while flag
 %   disp(size(samples));
    c_i = samples(index, :);
    
    t = samples - c_i;
    
    d = (t(:,1).^2+t(:,2).^2);
    
    if (~isempty(find(d>0.0 & d<radius_sq)))
       samples(index,:) = [];
    else
        index = index + 1;
    end
    
    if(index > size(samples, 1))
        flag = 0;
    end
       
end

for i=1:size(samples,1)
    x = round(res * samples(i,2));
    y = round(res * samples(i,1));
    x = min(max(x, 1), res);
    y = min(max(y, 1), res);
        
    imgOut(y, x) = 1;  
end

% 
%     
%     if(flag)
%         x = min(max(round(res * sample(2)), 1), res);
%         y = min(max(round(res * sample(1)), 1), res);
%         
%         col = zeros(1, 1, 3);
%         col(1, 1, 1) = x;
%         col(1, 1, 2) = y;
%         samples_int = [samples_int; col];
%         imgOut(y, x) = 1;
%         samples(done,:) = sample;
%         done = done + 1;
%     end
%     
%     counter = counter + 1;
%     
%     if(counter > (nSamples * tries))
%         disp(counter);
%         break;
%     end

end